Loading...
Searching...
No Matches
juce::Value::ValueSource Class Referenceabstract

## Detailed Description

Used internally by the Value class as the base class for its shared value objects.

The Value class is essentially a reference-counted pointer to a shared instance of a ValueSource object. If you're feeling adventurous, you can create your own custom ValueSource classes to allow Value objects to represent your own custom data items.

The documentation for this class was generated from the following file:

- juce_data_structures/values/juce_Value.h

Inheritance diagram for juce::Value::ValueSource:

## Public Member Functions

| ValueSource ()
| ~ValueSource () override
virtual var | getValue () const =0
| Returns the current value of this object.
virtual void | setValue (const var &newValue)=0
| Changes the current value.
void | sendChangeMessage (bool dispatchSynchronously)
| Delivers a change message to all the listeners that are registered with this value.
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Protected Attributes

SortedSet< Value * > | valuesWithListeners

## Additional Inherited Members

Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Constructors and Destructors

## ValueSource()

juce::Value::ValueSource::ValueSource | ( |  | ) |

## ~ValueSource()

juce::Value::ValueSource::~ValueSource | ( |  | ) |

override

## Member Functions

## getValue()

virtual var juce::Value::ValueSource::getValue | ( |  | ) | const

pure virtual

Returns the current value of this object.

## setValue()

virtual void juce::Value::ValueSource::setValue | ( | const var & | newValue | ) |

pure virtual

Changes the current value.

This must also trigger a change message if the value actually changes.

## sendChangeMessage()

void juce::Value::ValueSource::sendChangeMessage | ( | bool | dispatchSynchronously | ) |

Delivers a change message to all the listeners that are registered with this value.

If dispatchSynchronously is true, the method will call all the listeners before returning; otherwise it'll dispatch a message and make the call later.

## Member Data Documentation

## valuesWithListeners

SortedSet<Value*> juce::Value::ValueSource::valuesWithListeners

protected

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited